/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.kenai.com
 * SCM: https://kenai.com/hg/openbluesky~src
 *
 **********************************************************************************************************************/
package it.tidalwave.hierarchy.explorer.impl.role;

import javax.annotation.Nonnull;
import java.util.Collection;
import org.netbeans.platformx.eventbus.api.EventBus;
import it.tidalwave.hierarchy.HView;
import it.tidalwave.hierarchy.explorer.role.SelectionHandler;

/***********************************************************************************************************************
 *
 * @stereotype Role
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public final class EventBusSelectionHandler implements SelectionHandler
  {
    @Override
    public void handleSelection (@Nonnull final Collection<HView> hViews)
      {
        EventBus.getDefault().publish(hViews); // FIXME: publishing a Collection is not good
      }
  }
